Bug 915615

Summary: plexus-active-collections: Unneeded dependency on maven-doxia
Product: [Fedora] Fedora Reporter: Mikolaj Izdebski <mizdebsk>
Component: plexus-active-collectionsAssignee: Yong Yang <yyang>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: java-sig-commits, jcapik, mizdebsk, msrb, yyang
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-20 19:55:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 909869    

Description Mikolaj Izdebski 2013-02-26 08:42:02 UTC
Description of problem:
plexus-active-collections has unneeded Require and/or BuildRequires on maven-doxia.
Packagers should revisit an explicit dependency as appropriate
to avoid it becoming inaccurate and superfluous.

Package plexus-active-collections has the following BuildRequires related to maven-doxia:

BuildRequires:  maven-doxia
BuildRequires:  maven-doxia-sitetools

We believe that the above build-requires are superflous and
therefore should be removed.

Version-Release number of selected component (if applicable):
1.0-0.11.beta2

Additional info:
[1] http://fedoraproject.org/wiki/Packaging:Java
[2] http://fedoraproject.org/wiki/Packaging:Guidelines

Comment 1 Fedora End Of Life 2013-04-03 18:05:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 2 Fedora Update System 2013-04-11 14:33:58 UTC
plexus-classworlds-2.4.2-4.fc19,plexus-active-collections-1.0-0.12.beta2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/plexus-classworlds-2.4.2-4.fc19,plexus-active-collections-1.0-0.12.beta2.fc19

Comment 3 Fedora Update System 2013-04-11 16:39:15 UTC
Package plexus-classworlds-2.4.2-4.fc19, plexus-active-collections-1.0-0.12.beta2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing plexus-classworlds-2.4.2-4.fc19 plexus-active-collections-1.0-0.12.beta2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5421/plexus-classworlds-2.4.2-4.fc19,plexus-active-collections-1.0-0.12.beta2.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-04-20 19:55:38 UTC
plexus-classworlds-2.4.2-4.fc19, plexus-active-collections-1.0-0.12.beta2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.